Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 17 Mar 2021 03:56:33 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear sir,
I ordered 4 month ago several items online  and the same day I requested a return of some of the items that didn’t fit. Unfortunately no one came so far. I’ve called multiple times 5 times so far if not more and every time I get a promise to resolve the issue and nothing happens. The items are still packed and waiting for the professional staff to pick them up for the return. If u don’t have that service than please don’t put it online. After this experience of trying to return the items I sure will think twice before purchasing any online items. Thank you for your cooperation.

Jessica yaacoub
00971505861699 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2247214